﻿using System.Collections.Generic;
using System.Linq;
using MvcPaging.Models;

namespace MvcPaging.Data
{
    public class UserRepository
    {

        public UserRepository()
        {
            Users = new List<User>();
            for (int i = 1; i <= 31; i++)
            {
                Users.Add(new User { UserName = "Max Muster " + i });
            }
        }

        private readonly List<User> Users;

        public PagedList<User> GetAllUsers(int page)
        {
            return Users.AsQueryable().ToPagedList(page);
        }

    }
}