<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<MvcPaging.Models.PagedList<MvcPaging.Models.User>>" %>
<%@ Import Namespace="MvcPaging.ViewModels" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Paging Demo</title>
    <link href="../../Content/Site.css" rel="stylesheet" type="text/css" />
</head>
<body>
    
    <h1>Paging Demo</h1>

    <ul>
    <% foreach (var user in Model) { %>
        <li><%: user.UserName %></li>
    <% } %>
    </ul>

    <br />
    TotalPages: <%: Model.PagerInfo.TotalPages %>,
    TotalCount: <%: Model.PagerInfo.TotalCount %>,
    PageIndex: <%: Model.PagerInfo.PageIndex %>,
    PageSize: <%: Model.PagerInfo.PageSize %>,
    HasPreviousPage: <%: Model.PagerInfo.HasPreviousPage %>,
    HasNextPage: <%: Model.PagerInfo.HasNextPage %><br /><br />

    <% Html.RenderPartial("Pager", new PagerViewModel { Action = "index", Controller = "user", PagerInfo = Model.PagerInfo }); %>
    
</body>
</html>
